#ifndef EGADEFS_H 
#define EGADEFS_H 
int  mouseRealizeCursor(struct  _Screen *pScr,struct  _Cursor *pCur);
int  mouseUnrealizeCursor(struct  _Screen *pScr,struct  _Cursor *pCur);
int  mouseDisplayCursor(struct  _Screen *pScr,struct  _Cursor *pCur);
void  mouseBlockHandler(void);
void  mouseSetCursor(int  x,int  y);
void  HideCursor(void);
void  mfbBresS(int  rop,unsigned char  *addr,int  nlwidth,int  signdx,int  signdy,int  axis,int  x1,int  y1,int  e,int  e1,int  e2,int  len);
struct  _Region *mfbPixmapToRegion(struct  _Pixmap *pPix);
void  mfbHorzS(int  rop,unsigned char *addr,int  nlwidth,int  x1,int  y1,int  len);
void  mfbVertS(int  rop,unsigned char *addr,int  nlwidth,int  x1,int  y1,int  len);
void  mfbLineSS(struct  _Drawable *pDrawable,struct  _GC *pGC,int  mode,int  npt,struct  _DDXPoint *pptInit);
void  miRoundCap(struct  _Drawable *pDraw,struct  _GC *pGC,
    struct _SppPoint pCenter, struct _SppPoint pEnd, struct _SppPoint pCorner,
    struct _SppPoint pOtherCorner, int fLineEnd, int xOrg, int yOrg,
    double xFtrans, double yFtrans);
void  mfbMiter(struct  _Drawable *pDrawable,struct  _GC *pGC,int  a,int  b,struct  _SppPoint *pPoint,int  c,int  d);
void  InitOutput(struct  _ScreenInfo *pScreenInfo,int  argc,char  * *argv);
int  egainit(int  iScreen,struct  _Screen *pScreen,int  argc,char  * *argv);
void  screen_abort(void);
int VGAOpen(int mode);
void VGAClose(void);
void VGASetPage(unsigned short);

#endif 
